/* Experiment med funktion som har parametrar och returvärde. */
// --------------------------------------------------
// Globala variabler
let inputElem;  // input-elementet
let resElem;    // Element för resultat
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
    inputElem = document.querySelector("#nr");
    resElem = document.querySelector("#result");
    document.querySelector("#testBtn").addEventListener("click", test);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Funktion som körs då man klickar på knappen
function test() {
    let x = Number(inputElem.value);
    let magicNumber = mySecretFormula(x, 47);
    resElem.innerText = "Det magiska talet blev " + magicNumber;
} // Slut test
// --------------------------------------------------
// Utför en beräkning
function mySecretFormula(nr1, nr2) {
    console.log(nr1, nr2);
    let randomNr = Math.floor(10 * Math.random()) + 1;
    let res = nr1 * randomNr + nr2;
    return res;
} // Slut mySecretFormula
// --------------------------------------------------
