/* Experiment med slumptal och villkorssatser. */
// --------------------------------------------------
// Globala variabler
let resElem;    // Element för resultat
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
    resElem = document.querySelector("#result");
    document.querySelector("#testBtn").addEventListener("click", test);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Funktion som körs då man klickar på knappen
function test() {
    let randomNr = Math.floor(10 * Math.random()) + 1; // Slumptal mellan 1 och 10
    resElem.innerHTML = "Talet är " + randomNr;

    if (randomNr < 4) {
        resElem.innerHTML += "<br>Talet är mindre än 4";
    }
    else if (randomNr <= 7) {
        resElem.innerHTML += "<br>Talet ligger mellan 4 och 7";
    }
    else {
        resElem.innerHTML += "<br>Talet är större än 7";
    }

    switch (randomNr) {
        case 4:
            resElem.innerHTML += "<br>Talet är 4";
            break;
        case 8:
            resElem.innerHTML += "<br>Talet är 8";
            break;
        default:
            resElem.innerHTML += "<br>Talet är varken 4 eller 8";
    }
} // Slut test
// --------------------------------------------------
