/* Namngivning av identifierare samt användning av this */
// --------------------------------------------------
// Globala variabler
let resElem;            // Element för utskrift av resultat
let ballBtn;            // Knapp för bollen
let colorCode;          // Färgkod som användaren väljer
let nrOfChanges = 0;    // Antal gånger man bollen färgläggs
// --------------------------------------------------
// Initiering av globala variabler och händelselyssnare
function init() {
    resElem = document.querySelector("#result");
    ballBtn = document.querySelector("#ballBtn");
    ballBtn.disabled = true; // Inaktivera knappen
    document.querySelector("#color1Btn").addEventListener("click", chooseColor);
    document.querySelector("#color2Btn").addEventListener("click", chooseColor);
    document.querySelector("#color3Btn").addEventListener("click", chooseColor);
    ballBtn.addEventListener("click", paintBall);
    document.querySelector("#ball").addEventListener("click", test);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Välj och skriv ut vald färg
function chooseColor() {
    const color = this.innerText;
    colorCode = this.value;
    resElem.innerText = "Du valde " + color;
    ballBtn.disabled = false; // Aktivera knappen
} // Slut chooseColor
// --------------------------------------------------
// Färglägg boll med vald färg
function paintBall() {
    let htmlCode = ""; // Meddelande som ska skrivas ut
    const ballElem = document.querySelector("#ball");
    nrOfChanges++; // Räkna upp räknaren
    htmlCode = "Färgläggning nummer: " + nrOfChanges;
    ballElem.style.backgroundColor = colorCode;
    htmlCode += "<br>Bollen är nu färglagd.";
    resElem.innerHTML = htmlCode;
} // Slut paintBall
// --------------------------------------------------
// Funktion för att testa användning av HTML-id som variabel
function test() {
    let r = 5;
    r = 3 * r;
    // ... flera rader med annan kod
    // ...
    result.innerHTML = "Resultatet blev  " + r; // *** HTML-id som global variabel bör ej användas
} // Slut test
// --------------------------------------------------
